Description

During facts import vlan interfaces parsed but not saved for the host:

2018-05-20T10:46:17 88de1713 [app] [D] We have following interfaces 'br-private, enp2s0f0, enp2s0f1, bond1.1005, br-ipo,

br-ipo-nic, enp130s0f0, enp130s0f1, enp129s0f0, enp129s0f1, bond0, bond1' based on facts

2018-05-20T10:46:17 88de1713 [app] [D] Saving br_private NIC for host cloud-lab15.example.org

2018-05-20T10:46:18 88de1713 [app] [W] Saving br_private NIC for host cloud-lab15.example.org failed, skipping because:

2018-05-20T10:46:18 88de1713 [app] [W]  Identifier has already been taken

2018-05-20T10:46:18 88de1713 [app] [D] Saving enp2s0f0 NIC for host cloud-lab15.example.org

2018-05-20T10:46:18 88de1713 [app] [D] Saving enp2s0f1 NIC for host cloud-lab15.example.org

2018-05-20T10:46:18 88de1713 [app] [D] Saving bond1.1005 NIC for host cloud-lab15.example.org

1. hammer host interface list --host-id 1

---|------------|--------------------------------|-------------------|-------------|------------------------

ID | IDENTIFIER | TYPE                           | MAC ADDRESS       | IP ADDRESS  | DNS NAME

---|------------|--------------------------------|-------------------|-------------|------------------------

8  | bond1      | bond                           | 2c:9d:1e:b1:f5:f6 |             |

7  | bond0      | bond                           | 2c:9d:1e:b1:f5:f5 |             |

1  | enp129s0f1 | interface (primary, provision) | 2c:9d:1e:b1:f5:f6 |             | cloud-lab15.example.org

6  | enp129s0f0 | interface                      | 2c:9d:1e:b1:f5:f5 |             |

5  | br_ipo_nic | interface                      | 52:54:00:cd:a9:9c |             |

4  | br_ipo     | interface                      | 52:54:00:cd:a9:9c | 192.168.1.1 |

3  | enp2s0f1   | interface                      | 2c:9d:1e:6c:d3:c6 |             |

2  | enp2s0f0   | interface                      | 2c:9d:1e:6c:d3:c5 |             |

---|------------|--------------------------------|-------------------|-------------|------------------------

This is caused because of incomplete regexp matching and absence of vlans fact in case of ansible plugin.

Related issues:

Related to Ansible - Bug #23653: parsing facts break interfaces names Closed

Related to Foreman - Bug #23654: bridge interface facts don't imported in cas... Closed

History

#1 - 05/20/2018 02:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5597 added

#2 - 05/20/2018 02:14 PM - Maksim Malchuk

- Related to Bug #23653: parsing facts break interfaces names added
#3 - 05/20/2018 04:58 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5598 added

#4 - 05/20/2018 05:02 PM - Maksim Malchuk

- Related to Bug #23654: bridge interface facts don't imported in case of primary interface added

#5 - 05/20/2018 05:11 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5599 added

#6 - 06/28/2018 09:00 PM - Chris Roberts

- Priority changed from High to Normal

- Triaged set to Yes
